Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
OpenOffice.org 3.1
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sun Jun 28, 2009 1:01 pm    Post subject: Reply with quote

nice, I'll wait for your announcement here ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Sun Jun 28, 2009 2:21 pm    Post subject: Reply with quote

I do silent announcements in first post. :o
since I do not want to bloat thread.

afair, you can get notifications via email on thread changes.
I wonder if edits throw a notification, too.

There was a button or link somewhere, I do not see on this reply page,
where you can register to these. :D
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sun Jun 28, 2009 2:25 pm    Post subject: Reply with quote

Edits don't throw notifications unfortunately. ;)

However, I'm now trying to emerge the latest version with a slightly modified ebuild - I hope it'll compile against kde-4.3.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Sun Jun 28, 2009 8:45 pm    Post subject: Reply with quote

what did you change?

btw, my overlay is available via layman: openoffice-geki
... and add it to your update script :o
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sun Jun 28, 2009 11:55 pm    Post subject: Reply with quote

Your ebuild says
Code:
kde? ( kde-base/kdelibs:4.2 )

and I simply changed that to 4.3 because that's what I have installed with -kdeprefix. I'm curious if that will work out. ;)

EDIT: Ok, it fails as usual. :(

Code:
Entering /var/tmp/portage/app-office/openoffice-3.1.1.13_pre20090627/work/ooo-build-e17cb292b3f653cacb414864c779d09301708c53/build/ooo310-m13/basic/util
Compiling: basic/unxlngx6/misc/sb_dflt_version.c
Making:    sb.lib
------------------------------
Making: ../unxlngx6.pro/misc/sblx.flt
Making:    libsblx.so
Compiling: xmloff/source/transform/DocumentTContext.cxx
../unxlngx6.pro/slo/image.o: In function `SbiImage::Load(SvStream&, unsigned int&)':
image.cxx:(.text+0x96f): undefined reference to `PCodeBuffConvertor<unsigned short, unsigned int>::convert()'
image.cxx:(.text+0x977): undefined reference to `PCodeBuffConvertor<unsigned short, unsigned int>::convert()'
../unxlngx6.pro/slo/image.o: In function `SbiImage::Save(SvStream&, unsigned int)':
image.cxx:(.text+0x108c): undefined reference to `PCodeBuffConvertor<unsigned int, unsigned short>::convert()'
image.cxx:(.text+0x1094): undefined reference to `PCodeBuffConvertor<unsigned int, unsigned short>::convert()'
collect2: ld returned 1 exit status
dmake:  Error code 1, while making '../unxlngx6.pro/lib/libsblx.so'

I think I wasn't able to compile openoffice for a year now.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Mon Jun 29, 2009 10:34 am    Post subject: Reply with quote

gcc-4.4 problem :o google
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Mon Jun 29, 2009 11:44 am    Post subject: Reply with quote

I think I had that same issue with 4.3.3 already - but I'll give it a try.

I suppose there isn't a patch yet? ;)

EDIT: Not wasting another post, now trying to emerge openoffice in my chroot via gcc-4.3.3 ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic


Last edited by asturm on Mon Jun 29, 2009 7:24 pm; edited 1 time in total
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Mon Jun 29, 2009 1:01 pm    Post subject: Reply with quote

well, my gcc-4.3 did fine last week.
there are gcc-4.4 patches but it looks like they are not complete.
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Tue Jun 30, 2009 2:27 pm    Post subject: Reply with quote

JFYI, if configure fails like
Quote:
checking for required Perl modules... Bareword "Cwd::getcwd" not allowed while "strict subs" in use at /usr/lib64/perl5/vendor_perl/5.8.8/Archive/Zip.pm line 552.
edit Zip.pm and change Cwd::getcwd to Cwd::getcwd()

edit #1
and this.... fun
Quote:
/usr/bin/perl createExtPackage.pl ../unxlngx6.pro/bin/vbaapi.oxt /mnt/data/tmp/portage/app-office/openoffice-3.1.1.14_pre20090630/work/ooo-build-10248e0e7bd1ce6297afdc926403d01a4c416de1/build/ooo310-m14/solver/310/unxlngx6.pro/bin/oovbaapi.rdb ../unxlngx6.pro/lib/libvbaobjlx.uno.so
Can't call method "desiredCompressionLevel" on an undefined value at /usr/lib64/perl5/vendor_perl/5.8.8/Archive/Zip/Archive.pm line 249.
time to mask =dev-perl/Archive-Zip-1.29
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Tue Jun 30, 2009 6:11 pm    Post subject: Reply with quote

anyone interested in Graphite support?
http://graphite.sil.org/

should I enable it?
the patch is already in ooo-build.
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
astaecker
Guru
Guru


Joined: 28 Apr 2003
Posts: 403
Location: Hamburg / Germany

PostPosted: Fri Jul 31, 2009 2:51 pm    Post subject: Reply with quote

Hi,
I want to try the kde4 support, but configure fails with not finding the qt4 libs. Ebuild is openoffice-3.1.1.14_pre20090630. Is there anything special in Gentoo, we explicitly have to set ?

I'm running ~x86 with qt-4.5.2 (no qt3) and kde 4.2.4. QTDIR is not set.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Fri Jul 31, 2009 6:24 pm    Post subject: Reply with quote

hmm, your setup is fine. I had that, too, and it was fixed in ooo-build trunk at some point. I wonder if I did not add that patch to the ebuild or old ooo-build snapshot..? mah!

I will bump openoffice next week asap. :o
no time this weekend...
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sat Aug 01, 2009 4:45 pm    Post subject: Reply with quote

yay, I'm eagerly awaiting it! :D (especially the first version to build successfully with gcc-4.4.x :lol: )
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Tue Aug 04, 2009 6:29 pm    Post subject: Reply with quote

as if it ever builds on the first build.... harrrr.... let's see. :o
though, it went down to sc(calc) module.

edit #1
ok, dev-perl/Archive-Zip-1.30 is still broken. I hope a cpan upgrade helps...

edit #2
fun, time to revert to 1.23 since 1.28 is no longer in portage tree.

edit #3
a well, I added dev-perl/Archive-Zip-1.28 to my overlay.
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Tue Aug 04, 2009 7:54 pm    Post subject: Reply with quote

app-office/openoffice-3.1.1.17_pre20090804 released
- with dep =dev-perl/Archive-Zip-1.28

have fun :o

p.s.: kde4 built here
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Wed Aug 05, 2009 8:27 pm    Post subject: Reply with quote

did you also spot the 3.1.1_beta2 ebuild in portage?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Wed Aug 05, 2009 8:44 pm    Post subject: Reply with quote

yes, is there anything missing in mine? :)
I look that infrequently at suka's ebuild that it could happen... :lol:
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Fri Aug 07, 2009 12:29 pm    Post subject: Reply with quote

Well, it also fails. Time to reopen my bug about it, now that they have to accept it.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Wed Aug 12, 2009 8:59 am    Post subject: Reply with quote

fyi, my bug has been resolved now - kind of. -finline-functions was the culprit (and has been since openoffice-2.0* according to bugzilla history).

Which means I can report a successful build of openoffice-3.1.1_beta2 with gcc-4.4.2svn, glibc-2.10.1, perl-5.10.0-r2, qt-4.5.9999 and the likes.

I'll try your ebuild on the next update. :D
Meanwhile, it would be nice to include something like that in the ebuild:
Code:
if has_flagq -finline-functions ; then
    ewarn "You have -finline-functions in your C(XX)FLAGS which is known to"
    ewarn "break compilation of openoffice. (see https://bugs.gentoo.org/151869)"
fi

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Wed Aug 12, 2009 9:32 am    Post subject: Reply with quote

hmm, true :o
Quote:
-ffast-math
is checked as well.
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Fri Aug 14, 2009 5:30 pm    Post subject: Reply with quote

Geki, what would be the differences between the 'official' openoffice-3.1.1_beta2 and your version?

How good is the kde4 support now? Currently, I'm with 3.1.0 and most dialog boxes are all black (except for the controls):
http://img529.imageshack.us/i/weirdoo310dialog.png/

How many things are 'fixed' in your versions compared to the one in the main tree?
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Fri Aug 14, 2009 6:07 pm    Post subject: Reply with quote

the differences are
- ooo-build snapshot
- latest openoffice milestone supported by ooo-build snapshot

for changes/fixes check
- http://cgit.freedesktop.org/ooo-build/ooo-build/
- http://eis.services.openoffice.org/EIS2/servlet/GuestLogon
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Fri Aug 14, 2009 6:46 pm    Post subject: Reply with quote

thanks, I'll look into it.

What about the kde4 support? What does it "include" what's 'supported' right now?
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Fri Aug 14, 2009 6:58 pm    Post subject: Reply with quote

wrt kde4 support
- most of the work is done -- though bugfixing may be necessary here and there :o
- qt and vcl event loop needs to be merged
- kdefilepicker needs some love

no idea about details. the best would be to build with USE="kde" and look for yourself. ;)

you see changes in ooo-build repo at fd.o(see link above)

last change was in june ...
_________________
boost|select libs to build|slotable|python-buildid

hear hear


Last edited by geki on Thu Aug 20, 2009 10:53 am; edited 1 time in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sat Aug 15, 2009 1:52 pm    Post subject: Reply with quote

It works great already. :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5  Next
Page 2 of 5

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum